%define rversion 1.6.2
%define apache_version 1.3.33

Summary:	The improved mod_frontpage module for the Apache Web server
Name:		apache1-mod_frontpage
Version:	%{apache_version}_%{rversion}
Release:	1mdk
Group:		System/Servers
License:	Apache License
URL:		http://mirfak.sf.net
Source0:	http://prdownloads.sourceforge.net/mirfak/mod_frontpage_mirfak-%{rversion}.tar.bz2
Source1:	mod_frontpage.html
Source2:	mod_frontpage.pl
Patch0:		mirfak.patch.bz2
Patch1:		fpexec.diff.bz2
Patch2:		mod_frontpage_mirfak-1.6.2-frontpage-rtr-update.diff.bz2
Prereq:		apache1 = %{apache_version}
Prereq:		apache1-base >= %{apache_version}
BuildRequires:	apache1-devel 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
This is a module for the Apache HTTP Server <http://www.apache.org/httpd.html>.
It replaces the Apache-FP patches and module supplied with the FrontPage Server
Extensions available from Microsoft <http://www.microsoft.com> and Ready-to-Run
Software <http://www.rtr.com/fpsupport>.

Using this module allows you to use advanced features of the FrontPage client
with your Apache HTTP Server (e.g. creating FrontPage-extended subwebs
using the FrontPage client in contrast to creating them as user "root" with
"fpinstall.sh" or the "fpsrvadm.exe"-utility on the system's shell).

%prep

%setup -q -n mod_frontpage_mirfak-%{rversion}
%patch0 -p1
%patch1 -p0
%patch2 -p1

cp %{SOURCE1} .
cp %{SOURCE2} .

%build

# quite messy stuff...
DEF="-DFPEXEC_BIN=\\\"/usr/sbin/fpexec\\\" -DFPSTATIC_BIN=\\\"/usr/sbin/fpstatic\\\""
DEF2="-DFP_HTTPD_USER=\"apache\" -DFP_UID_MIN=100 -DFP_GID_MIN=500 -DFP_LOG_EXEC=\"/var/log/apache1/fpexec_log\" \
-DFP_USERDIR_SUFFIX=\"public_html\" -DFP_DOC_ROOT=\"/var/www/html\" -DFP_SAFE_PATH=\"/usr/local/bin:/usr/bin:/bin\" \
-DFPDIR=\"/usr/local/frontpage/version5.0/exes\" -DFP_USER=\"bin\" -DFP_GROUP=\"bin\" -DFP_HTACCESS=\".htaccess\" -DFP_UMASK=022"

%{_sbindir}/apache1-apxs -Wall -c $DEF $DEF2 -I%{_includedir}/apache1 mod_frontpage.c
gcc %{optflags} $DEF2 -I%{_includedir}/apache1 -o fpexec fpexec.c
gcc %{optflags} $DEF2 -I%{_includedir}/apache1 -o fpstatic fpstatic.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/apache1/modules.d
install -d %{buildroot}%{_libdir}/apache1
install -d %{buildroot}%{_sbindir}

install -m0755 mod_frontpage.so %{buildroot}%{_libdir}/apache1/
install -m0755 fpexec %{buildroot}%{_sbindir}/
install -m0755 fpstatic %{buildroot}%{_sbindir}/

cat > %{buildroot}%{_sysconfdir}/apache1/modules.d/19_mod_frontpage.conf << EOF
Loadmodule frontpage_module	modules/mod_frontpage.so
EOF

%post
if [ -f %{_var}/lock/subsys/apache1 ]; then
    %{_initrddir}/apache1 restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/apache1 ]; then
        %{_initrddir}/apache1 restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES FEATURES INSTALL LICENSE README mod_frontpage.html
%config(noreplace) %{_sysconfdir}/apache1/modules.d/19_mod_frontpage.conf
%attr(4551,root,root) %{_sbindir}/fpexec
%attr(0555,root,root) %{_sbindir}/fpstatic
%{_libdir}/apache1/mod_frontpage.so

%changelog
* Mon Jun 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.33_1.6.2-1mdk
- renamed to apache1-mod_frontpage and reworked it quite a bit
- added P1 and P2 from the SF tracker

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:1.6.2-11mdk
- spec file cleanups, remove the ADVX-build stuff

* Sun Nov 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.6.2-10mdk
- built for apache 1.3.33

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.6.2-9mdk
- remove redundant provides

* Thu Jun 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.6.2-8mdk
- built for apache 1.3.31

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.6.2-7mdk
- built for apache 1.3.29

* Tue Sep 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.2-6mdk
- rebuild with apache 1.3.28

* Tue Feb 18 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.2-5mdk
- fix fpexec stub, thanks to Enrico Valsecchi <admin@hostyle.it>

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.2-4mdk
- new macros from ADVX-build

* Mon Jan 06 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.2-3mdk
- rebuilt for new mm version
- Add Provides: ADVXpackage, all ADVX package will have this tag, 
  so we can easily do a rpm --whatprovides ADVXpackage to find out
  what ADVX packages a user has installed on his system. 

* Fri Nov  8 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.2-1mdk
- Rebuild for Cooker

* Mon Oct 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.2-1mdk
- New version
- Rebuild with new apache

* Wed Jun 26 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.6.1-8mdk
- rebuild against new apache.

* Sat May 18 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.6.1-7mdk
- Build with gcc 3.1.

* Mon Apr 15 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.6.1-6mdk
- Apache 1.3.24.
- Macroize a little more.

* Sat Mar 23 2002 David BAUDENS <baudens@mandrakesoft.com> 1.6.1-5mdk
- Fix PreReq
- Better BuildRequires

* Sat Mar 23 2002 David BAUDENS <baudens@mandrakesoft.com> 1.6.1-4mdk
- BuildRequires: /usr/sbin/httpd

* Mon Mar 04 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.1-3mdk
- BUGFIX RELEASE (AKA Brown Paper Bag On The Head Hiding In The Closet)
- Fix chmod for fpexec (should be 4551)
- Fix UID and GID bug
- Modify documentation page since Frontpage 2002 has a completely different
  admin tool syntax.
- Buy Frontpage 2002, find a windows machine, install the software, and test
  publishing. I created a Root Web, a Per User Web, Virtual Hosts.
- EVERYTHING WORKS NOW ;-)
- Mess up completely the httpd.conf a few times so I can find out what
  potential problems can arise and write a Troubleshooting section.
- Added a link to the FAQ at www.rtr.com

* Tue Feb 05 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.1-2mdk
- Added extra security checks so only user "apache" can execute the suid
  binary.

* Tue Feb 05 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.1-1mdk
- SECURITY UPDATE
- Merge with FreeBSD port, since it's no longer maintained by author
- apache 1.3.23

* Thu Nov 22 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.1-6mdk
- fix invalid-packager and no-url warning (rpmlint).
- Added apache in BuildRequires

* Tue Oct 16 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.1-5mdk
- apache 1.3.22.
- remove mdk after version.

* Thu Jul 12 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.1mdk-4mdk
- new apache

* Sat Apr 14 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.5.1mdk-3mdk
- fix Makefile.PL so it picks commonhttpd.conf too!

* Mon Apr  9 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.5.1mdk-2mdk
- fix post scripts for good 

* Sun Mar 25 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.5.1mdk-1mdk
- Replaced the old Microsoft frontpage extensions by the new Improved
  mod_frontpage module, more secure and totally buildable with apxs.
